{% extends "lab_10/layout/base.html" %}

{% block header %}
{% include "lab_10/partials/header_login.html" %}
{% endblock %}

{% block content %}
<div class="row" style="margin-top: 100px;">
	<h1 style="text-align: center; margin-bottom: 30px;">{{ user_login }} Watch Later List</h1>
	<hr>
    {% for movie in watch_later_movies %}
    <section name="watch-later-list" id="watch-later-list-{{ movie.imdbid }}" style="margin-bottom: 30px;">
	    <div class="container">
	        <div class="row">
	            <div class="col-md-6 col-lg-6">
	                <div id="picture-of {{ movie.title }}"> <img src="{{ movie.poster }}"></div>
	            </div>
	            <div class="col-lg-6">
	                <div id="watch-later-list" class="list-group">
	                	<table>
	                        <h3><b>{{ movie.title }}</b></h3>
	                        <tr>
	                			<td width="150">Year Released <span style="float: right;">:</span></td>
	                			<td><div style="margin-left: 10px;">{{ movie.released }}</div></td>
	                		</tr>
	                		<tr>
	                			<td width="150">Rated<span style="float: right;">:</span></td>
	                			<td><div style="margin-left: 10px;">{{ movie.rated }}</div></td>
	                		</tr>
	                		<tr>
	                			<td width="150">Runtime<span style="float: right;">:</span></td>
	                			<td><div style="margin-left: 10px;">{{ movie.runtime }}</div></td>
	                		</tr>
	                		<tr>
	                			<td width="150">Genre<span style="float: right;">:</span></td>
	                			<td><div style="margin-left: 10px;">{{ movie.genre }}</div></td>
	                		</tr>
	                		<tr>
	                			<td width="150">Director<span style="float: right;">:</span></td>
	                			<td><div style="margin-left: 10px;">{{ movie.director }}</div></td>
	                		</tr>
	                		<tr>
	                			<td width="150">Actors<span style="float: right;">:</span></td>
	                			<td><div style="margin-left: 10px;">{{ movie.actors }}</div></td>
	                		</tr>
	                		<tr>
	                			<td width="150">IMDb Rating<span style="float: right;">:</span></td>
	                			<td><div style="margin-left: 10px;">{{ movie.imdbrating }}</div></td>
	                		</tr>
	                		<tr>
	                			<td width="150">Production<span style="float: right;">:</span></td>
	                			<td><div style="margin-left: 10px;">{{ movie.production }}</div></td>
	                		</tr>
	                    </table>
	                </div>
	            </div>
	        </div>
	        <a class="btn btn-default btn-danger" style="float: right; margin-left: 10px;" onclick="deleteButton('{{ movie.imdbid }}')"> Delete </a> 
	        <a class="btn btn-warning" style="float: right;" onclick="addToWatched('{{ movie.imdbid }}')"> Add to Already Watched </a>
	    </div>
	</section>
	<hr>
    {% endfor %}
</div>

<script type="text/javascript">
		var deleteButton = function(id) {
            $.ajax({
                method: "GET",
                url: '/lab-10/movie/watch_later/delete/' + id,
                data: { id: id},
                success : function (response) {
                  console.log(response);
                    $("#watch-later-list-" + id).remove()
                },
                error : function (error) {
                    alert("Movie tersebut tidak ada");
                }
            });
         };

         var addToWatched = function(id) {
            $.ajax({
                method: "GET",
                url: '/lab-10/movie/watched_movie/add/' + id,
                success : function (response) {
                  console.log(response);
                    $("#watch-later-list-" + id).remove()
                },
                error : function (error) {
                    alert("Movie tersebut tidak ada");
                }
            });
         };
</script>
{% endblock %}
